Zum Inhalt

Create Item

Create a Item object in Business Central.

HTTP request

Replace the URL prefix for Business Central depending on environment following the guideline.

POST {businesscentralPrefix}/companies({id})/itemsKTG

Request headers

Header Value
Authorization Bearer {token}. Required.
Content-Type application/json

Request body

In the request body, supply a JSON representation of ItemWebCon object.

Response

If successful, this method returns 201 Created response code and a item object in the response body.

Example

Request

Here is an example of a request.

POST https://{businesscentralPrefix}/companies({id})/itemsKTG
Content-type: application/json

{
    "itemTemplate": "FASHION",
    "displayName": "TSO DATA Decke",
    "type": "Inventory",
    "blocked": false,
    "unitPrice": 12.99,
    "generalProductPostingGroupCode": "HANDEL",
    "priceIncludesTax": true,
    "unitCost": 7.0,
    "baseUnitOfMeasureCode": "STÜCK",
    "grossWeight": 0.8,
    "netWeight": 0.7,
    "unitVolume": 2,
    "salesUnitOfMeasure": "STÜCK",
    "vatProductPostingGroup": "MWST.19",
    "webshopItem": true
}

Response

Here is an example of the response.

Note

The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.

{
    "id": "4f5d86bb-914c-ee11-a0d4-ff1fc14fecc8",
    "number": "70061",
    "number2": "",
    "displayName": "TSO DATA Decke",
    "displayName2": "",
    "type": "Inventory",
    "itemCategoryId": "00000000-0000-0000-0000-000000000000",
    "itemCategoryCode": "",
    "blocked": false,
    "gtin": "",
    "inventory": 0,
    "unitPrice": 12.99,
    "vatProductPostingGroup": "MWST.19",
    "priceIncludesTax": true,
    "unitCost": 0,
    "taxGroupId": "00000000-0000-0000-0000-000000000000",
    "taxGroupCode": "",
    "baseUnitOfMeasureId": "ec562a39-dcd8-ed11-a7cd-000d3a392f9f",
    "baseUnitOfMeasureCode": "STÜCK",
    "generalProductPostingGroupId": "a2592a39-dcd8-ed11-a7cd-000d3a392f9f",
    "generalProductPostingGroupCode": "HANDEL",
    "inventoryPostingGroupId": "d4232351-dcd8-ed11-a7cd-000d3a392f9f",
    "inventoryPostingGroupCode": "WEITERVERK",
    "grossWeight": 0.8,
    "netWeight": 0.7,
    "unitVolume": 2,
    "salesUnitOfMeasure": "STÜCK",
    "freightType": "",
    "countryPurchasedCode": "",
    "countryOriginCode": "",
    "manufacturerCode": "",
    "webshopItem": true,
    "itemDiscountGroup": "",
    "responsibilityCenter": "OSNABRÜCK",
    "vendorNo": "70000",
    "vendorItemNo": "AMA439",
    "statusCode": "",
    "listCost": 0,
    "brandCode": "",
    "seasonCode": "",
    "itemTemplate": "",
    "lastModifiedDateTime": "2023-09-06T08:45:31.09Z"
}

See also

Tips for working with the APIs
Item
Get Item
Delete Item
Update Item